libvisio::VSDFieldListElement Class Referenceabstract

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDFieldListElement:

## Public Member Functions

| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDFieldListElement * | clone ()=0
virtual librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &, unsigned defaultUnit)=0
virtual void | setNameId (int)=0
virtual void | setFormat (unsigned short)=0
virtual void | setCellType (unsigned short)=0
virtual void | setValue (double)=0

## Constructor & Destructor Documentation

## VSDFieldListElement()

libvisio::VSDFieldListElement::VSDFieldListElement | ( |  | ) |

inline

Referenced by clone().

## ~VSDFieldListElement()

virtual libvisio::VSDFieldListElement::~VSDFieldListElement | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

virtual VSDFieldListElement * libvisio::VSDFieldListElement::clone | ( |  | ) |

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectNumericField().

## getString()

virtual librevenge::RVNGString libvisio::VSDFieldListElement::getString | ( | const std::map< unsigned, librevenge::RVNGString > & | ,
|  | unsigned | defaultUnit )

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

Referenced by libvisio::VSDContentCollector::collectShape(), and libvisio::VSDContentCollector::collectTextField().

## handle()

virtual void libvisio::VSDFieldListElement::handle | ( | VSDCollector * | collector | ) | const

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

## setCellType()

virtual void libvisio::VSDFieldListElement::setCellType | ( | unsigned short |  | ) |

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

## setFormat()

virtual void libvisio::VSDFieldListElement::setFormat | ( | unsigned short |  | ) |

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

## setNameId()

virtual void libvisio::VSDFieldListElement::setNameId | ( | int |  | ) |

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

## setValue()

virtual void libvisio::VSDFieldListElement::setValue | ( | double |  | ) |

pure virtual

Implemented in libvisio::VSDNumericField, and libvisio::VSDTextField.

The documentation for this class was generated from the following file:

- VSDFieldList.h